<!DOCTYPE HTML>
<!-- NewPage -->
<html lang="en">
<head>
<!-- Generated by javadoc (11.0.9) on Wed Oct 28 16:08:51 UTC 2020 -->
<title>Uses of Class import hk.quantr.mxgraph.canvas.mxGraphicsCanvas2D (JGraph X 4.2.2 API Specification)</title>
<meta http-equiv="Content-Type" content="text/html; charset=utf-8">
<meta name="dc.created" content="2020-10-28">
<link rel="stylesheet" type="text/css" href="../../../../stylesheet.css" title="Style">
<link rel="stylesheet" type="text/css" href="../../../../jquery/jquery-ui.css" title="Style">
<script type="text/javascript" src="../../../../script.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip/dist/jszip.min.js"></script>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils.min.js"></script>
<!--[if IE]>
<script type="text/javascript" src="../../../../jquery/jszip-utils/dist/jszip-utils-ie.min.js"></script>
<![endif]-->
<script type="text/javascript" src="../../../../jquery/jquery-3.5.1.js"></script>
<script type="text/javascript" src="../../../../jquery/jquery-ui.js"></script>
</head>
<body>
<script type="text/javascript"><!--
    try {
        if (location.href.indexOf('is-external=true') == -1) {
            parent.document.title="Uses of Class import hk.quantr.mxgraph.canvas.mxGraphicsCanvas2D (JGraph X 4.2.2 API Specification)";
        }
    }
    catch(err) {
    }
//-->
var pathtoroot = "../../../../";
var useModuleDirectories = true;
loadScripts(document, 'script');</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
<header role="banner">
<nav role="navigation">
<div class="fixedNav">
<!-- ========= START OF TOP NAVBAR ======= -->
<div class="topNav"><a id="navbar.top">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.top" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.top.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxGraphicsCanvas2D.html" title="class in import hk.quantr.mxgraph.canvas">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_top">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<ul class="navListSearch">
<li><label for="search">SEARCH:</label>
<input type="text" id="search" value="search" disabled="disabled">
<input type="reset" id="reset" value="reset" disabled="disabled">
</li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_top");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.top">
<!--   -->
</a></div>
<!-- ========= END OF TOP NAVBAR ========= -->
</div>
<div class="navPadding">&nbsp;</div>
<script type="text/javascript"><!--
$('.navPadding').css('padding-top', $('.fixedNav').css("height"));
//-->
</script>
</nav>
</header>
<main role="main">
<div class="header">
<h2 title="Uses of Class import hk.quantr.mxgraph.canvas.mxGraphicsCanvas2D" class="title">Uses of Class<br>import hk.quantr.mxgraph.canvas.mxGraphicsCanvas2D</h2>
</div>
<div class="classUseContainer">
<ul class="blockList">
<li class="blockList">
<table class="useSummary">
<caption><span>Packages that use <a href="../mxGraphicsCanvas2D.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Package</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<th class="colFirst" scope="row"><a href="#import hk.quantr.mxgraph.shape">import hk.quantr.mxgraph.shape</a></th>
<td class="colLast">&nbsp;</td>
</tr>
</tbody>
</table>
</li>
<li class="blockList">
<ul class="blockList">
<li class="blockList">
<section role="region"><a id="import hk.quantr.mxgraph.shape">
<!--   -->
</a>
<h3>Uses of <a href="../mxGraphicsCanvas2D.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a> in <a href="../../shape/package-summary.html">import hk.quantr.mxgraph.shape</a></h3>
<table class="useSummary">
<caption><span>Methods in <a href="../../shape/package-summary.html">import hk.quantr.mxgraph.shape</a> that return <a href="../mxGraphicsCanvas2D.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphicsCanvas2D.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxSwimlaneShape.</span><code><span class="memberNameLink"><a href="../../shape/mxSwimlaneShape.html#configureCanvas(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState,import hk.quantr.mxgraph.canvas.mxGraphicsCanvas2D)">configureCanvas</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
               <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
               <a href="../mxGraphicsCanvas2D.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a>&nbsp;c)</code></th>
<td class="colLast">
<div class="block">Helper method to configure the given wrapper canvas.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected <a href="../mxGraphicsCanvas2D.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxStencil.</span><code><span class="memberNameLink"><a href="../../shape/mxStencil.html#createCanvas(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas)">createCanvas</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;gc)</code></th>
<td class="colLast">
<div class="block">Creates the canvas for rendering the stencil.</div>
</td>
</tr>
</tbody>
</table>
<table class="useSummary">
<caption><span>Methods in <a href="../../shape/package-summary.html">import hk.quantr.mxgraph.shape</a> with parameters of type <a href="../mxGraphicsCanvas2D.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a></span><span class="tabEnd">&nbsp;</span></caption>
<tr>
<th class="colFirst" scope="col">Modifier and Type</th>
<th class="colSecond" scope="col">Method</th>
<th class="colLast" scope="col">Description</th>
</tr>
<tbody>
<tr class="altColor">
<td class="colFirst"><code>protected <a href="../mxGraphicsCanvas2D.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a></code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxSwimlaneShape.</span><code><span class="memberNameLink"><a href="../../shape/mxSwimlaneShape.html#configureCanvas(import hk.quantr.mxgraph.canvas.mxGraphics2DCanvas,import hk.quantr.mxgraph.view.mxCellState,import hk.quantr.mxgraph.canvas.mxGraphicsCanvas2D)">configureCanvas</a></span>&#8203;(<a href="../mxGraphics2DCanvas.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphics2DCanvas</a>&nbsp;canvas,
               <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
               <a href="../mxGraphicsCanvas2D.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a>&nbsp;c)</code></th>
<td class="colLast">
<div class="block">Helper method to configure the given wrapper canvas.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxStencil.</span><code><span class="memberNameLink"><a href="../../shape/mxStencil.html#drawElement(import hk.quantr.mxgraph.canvas.mxGraphicsCanvas2D,import hk.quantr.mxgraph.view.mxCellState,org.w3c.dom.Element,import hk.quantr.mxgraph.util.mxRectangle)">drawElement</a></span>&#8203;(<a href="../mxGraphicsCanvas2D.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a>&nbsp;canvas,
           <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
           org.w3c.dom.Element&nbsp;node,
           <a href="../../util/mxRectangle.html" title="class in import hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;aspect)</code></th>
<td class="colLast">
<div class="block">Drawsthe given element.</div>
</td>
</tr>
<tr class="altColor">
<td class="colFirst"><code>protected void</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxStencil.</span><code><span class="memberNameLink"><a href="../../shape/mxStencil.html#drawShadow(import hk.quantr.mxgraph.canvas.mxGraphicsCanvas2D,import hk.quantr.mxgraph.view.mxCellState,double,boolean,boolean,import hk.quantr.mxgraph.util.mxRectangle,double,boolean,import hk.quantr.mxgraph.util.mxRectangle)">drawShadow</a></span>&#8203;(<a href="../mxGraphicsCanvas2D.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a>&nbsp;canvas,
          <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
          double&nbsp;rotation,
          boolean&nbsp;flipH,
          boolean&nbsp;flipV,
          <a href="../../util/mxRectangle.html" title="class in import hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;bounds,
          double&nbsp;alpha,
          boolean&nbsp;filled,
          <a href="../../util/mxRectangle.html" title="class in import hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;aspect)</code></th>
<td class="colLast">
<div class="block">Draws the shadow.</div>
</td>
</tr>
<tr class="rowColor">
<td class="colFirst"><code>boolean</code></td>
<th class="colSecond" scope="row"><span class="typeNameLabel">mxStencil.</span><code><span class="memberNameLink"><a href="../../shape/mxStencil.html#drawShape(import hk.quantr.mxgraph.canvas.mxGraphicsCanvas2D,import hk.quantr.mxgraph.view.mxCellState,import hk.quantr.mxgraph.util.mxRectangle,import hk.quantr.mxgraph.util.mxRectangle,boolean)">drawShape</a></span>&#8203;(<a href="../mxGraphicsCanvas2D.html" title="class in import hk.quantr.mxgraph.canvas">mxGraphicsCanvas2D</a>&nbsp;canvas,
         <a href="../../view/mxCellState.html" title="class in import hk.quantr.mxgraph.view">mxCellState</a>&nbsp;state,
         <a href="../../util/mxRectangle.html" title="class in import hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;bounds,
         <a href="../../util/mxRectangle.html" title="class in import hk.quantr.mxgraph.util">mxRectangle</a>&nbsp;aspect,
         boolean&nbsp;background)</code></th>
<td class="colLast">
<div class="block">Draws this stencil inside the given bounds.</div>
</td>
</tr>
</tbody>
</table>
</section>
</li>
</ul>
</li>
</ul>
</div>
</main>
<footer role="contentinfo">
<nav role="navigation">
<!-- ======= START OF BOTTOM NAVBAR ====== -->
<div class="bottomNav"><a id="navbar.bottom">
<!--   -->
</a>
<div class="skipNav"><a href="#skip.navbar.bottom" title="Skip navigation links">Skip navigation links</a></div>
<a id="navbar.bottom.firstrow">
<!--   -->
</a>
<ul class="navList" title="Navigation">
<li><a href="../../../../index.html">Overview</a></li>
<li><a href="../package-summary.html">Package</a></li>
<li><a href="../mxGraphicsCanvas2D.html" title="class in import hk.quantr.mxgraph.canvas">Class</a></li>
<li class="navBarCell1Rev">Use</li>
<li><a href="../package-tree.html">Tree</a></li>
<li><a href="../../../../deprecated-list.html">Deprecated</a></li>
<li><a href="../../../../index-all.html">Index</a></li>
<li><a href="../../../../help-doc.html">Help</a></li>
</ul>
<div class="aboutLanguage"><p><b>JGraph X 4.2.2</b></p></div>
</div>
<div class="subNav">
<ul class="navList" id="allclasses_navbar_bottom">
<li><a href="../../../../allclasses.html">All&nbsp;Classes</a></li>
</ul>
<div>
<script type="text/javascript"><!--
  allClassesLink = document.getElementById("allclasses_navbar_bottom");
  if(window==top) {
    allClassesLink.style.display = "block";
  }
  else {
    allClassesLink.style.display = "none";
  }
  //-->
</script>
<noscript>
<div>JavaScript is disabled on your browser.</div>
</noscript>
</div>
<a id="skip.navbar.bottom">
<!--   -->
</a></div>
<!-- ======== END OF BOTTOM NAVBAR ======= -->
</nav>
<p class="legalCopy"><small><font size=1>Copyright (c) 2010 <a href="http://www.mxgraph.com/"
				target="_blank">Gaudenz Alder</a>. All rights reserved.</font></small></p>
</footer>
</body>
</html>
